LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/uart_18xx_43xx.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
uart_18xx_43xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
static int | Chip_UART_GetIndex (LPC_USART_T *pUART)
STATIC void | Chip_UART_ABIntHandler (LPC_USART_T *pUART)
void | Chip_UART_Init (LPC_USART_T *pUART)
| Initializes the pUART peripheral. More...
void | Chip_UART_DeInit (LPC_USART_T *pUART)
| De-initializes the pUART peripheral. More...
int | Chip_UART_Send (LPC_USART_T *pUART, const void *data, int numBytes)
| Transmit a byte array through the UART peripheral (non-blocking) More...
FlagStatus | Chip_UART_CheckBusy (LPC_USART_T *pUART)
| Check whether if UART is busy or not. More...
int | Chip_UART_SendBlocking (LPC_USART_T *pUART, const void *data, int numBytes)
| Transmit a byte array through the UART peripheral (blocking) More...
int | Chip_UART_Read (LPC_USART_T *pUART, void *data, int numBytes)
| Read data through the UART peripheral (non-blocking) More...
int | Chip_UART_ReadBlocking (LPC_USART_T *pUART, void *data, int numBytes)
| Read data through the UART peripheral (blocking) More...
uint32_t | Chip_UART_SetBaud (LPC_USART_T *pUART, uint32_t baudrate)
| Sets best dividers to get a target bit rate (without fractional divider) More...
void | Chip_UART_RXIntHandlerRB (LPC_USART_T *pUART, RINGBUFF_T *pRB)
| UART receive-only interrupt handler for ring buffers. More...
void | Chip_UART_TXIntHandlerRB (LPC_USART_T *pUART, RINGBUFF_T *pRB)
| UART transmit-only interrupt handler for ring buffers. More...
uint32_t | Chip_UART_SendRB (LPC_USART_T *pUART, RINGBUFF_T *pRB, const void *data, int bytes)
| Populate a transmit ring buffer and start UART transmit. More...
int | Chip_UART_ReadRB (LPC_USART_T *pUART, RINGBUFF_T *pRB, void *data, int bytes)
| Copy data from a receive ring buffer. More...
void | Chip_UART_IRQRBHandler (LPC_USART_T *pUART, RINGBUFF_T *pRXRB, RINGBUFF_T *pTXRB)
| UART receive/transmit interrupt handler for ring buffers. More...
uint32_t | Chip_UART_SetBaudFDR (LPC_USART_T *pUART, uint32_t baud)
| Sets best dividers to get a target bit rate (with fractional divider) More...
FlagStatus | Chip_UART_GetABEOStatus (LPC_USART_T *pUART)
| Returns the Auto Baud status. More...
void | Chip_UART_ABCmd (LPC_USART_T *pUART, uint32_t mode, bool autorestart, FunctionalState NewState)
| Start/stop autobaud operation. More...

## Variables
STATIC volatile FlagStatus | ABsyncSts = RESET
static const CHIP_CCU_CLK_T | UART_PClock [] = {CLK_MX_UART0, CLK_MX_UART1, CLK_MX_UART2, CLK_MX_UART3}
static const CHIP_CCU_CLK_T | UART_BClock [] = {CLK_APB0_UART0, CLK_APB0_UART1, CLK_APB2_UART2, CLK_APB2_UART3}

## Function Documentation

STATIC void Chip_UART_ABIntHandler | ( | LPC_USART_T * | pUART | ) |

Definition at line 73 of file uart_18xx_43xx.c.

static int Chip_UART_GetIndex | ( | LPC_USART_T * | pUART | ) |
| static

Definition at line 55 of file uart_18xx_43xx.c.

## Variable Documentation

STATIC volatile FlagStatus ABsyncSts = RESET

Definition at line 39 of file uart_18xx_43xx.c.

const CHIP_CCU_CLK_T UART_BClock[] = {CLK_APB0_UART0, CLK_APB0_UART1, CLK_APB2_UART2, CLK_APB2_UART3}
| static

Definition at line 52 of file uart_18xx_43xx.c.

const CHIP_CCU_CLK_T UART_PClock[] = {CLK_MX_UART0, CLK_MX_UART1, CLK_MX_UART2, CLK_MX_UART3}
| static

Definition at line 49 of file uart_18xx_43xx.c.